Bug 465579 - SELinux is preventing gnome-power-man from loading /usr/lib/libmpeg2.so.0.1.0 which requires text relocation
SELinux is preventing gnome-power-man from loading /usr/lib/libmpeg2.so.0.1.0...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 20:46 EDT by Rodd Clarkson
Modified: 2008-10-06 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 12:37:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2008-10-03 20:46:03 EDT
Summary:

SELinux is preventing gnome-power-man from loading /usr/lib/libmpeg2.so.0.1.0
which requires text relocation.

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

The gnome-power-man application attempted to load /usr/lib/libmpeg2.so.0.1.0
which requires text relocation. This is a potential security problem. Most
libraries do not need this permission. Libraries are sometimes coded incorrectly
and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/libmpeg2.so.0.1.0 to use relocation as a workaround, until the library
is fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust /usr/lib/libmpeg2.so.0.1.0 to run correctly, you can change the
file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/libmpeg2.so.0.1.0'" You must also change the default file context
files on the system in order to preserve them even on a full relabel. "semanage
fcontext -a -t textrel_shlib_t '/usr/lib/libmpeg2.so.0.1.0'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/libmpeg2.so.0.1.0'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/libmpeg2.so.0.1.0 [ file ]
Source                        gnome-power-man
Source Path                   /usr/bin/gnome-power-manager
Port                          <Unknown>
Host                          moose
Source RPM Packages           gnome-power-manager-2.24.0-4.fc10
Target RPM Packages           libmpeg2-0.5.1-2.fc10
Policy RPM                    selinux-policy-3.5.9-4.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   allow_execmod
Host Name                     moose
Platform                      Linux moose 2.6.27-0.377.rc8.git1.fc10.i686 #1 SMP
                              Wed Oct 1 05:46:19 EDT 2008 i686 i686
Alert Count                   1
First Seen                    Sat 04 Oct 2008 10:25:37 EST
Last Seen                     Sat 04 Oct 2008 10:25:37 EST
Local ID                      06294b46-be17-4f7d-b4e5-a6ed393c0e22
Line Numbers                  

Raw Audit Messages            

node=moose type=AVC msg=audit(1223079937.978:21): avc:  denied  { execmod } for  pid=3068 comm="gnome-power-man" path="/usr/lib/libmpeg2.so.0.1.0" dev=sda11 ino=458337 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=moose type=SYSCALL msg=audit(1223079937.978:21): arch=40000003 syscall=125 success=yes exit=0 a0=1ab4000 a1=1e000 a2=5 a3=bfb0cfa0 items=0 ppid=3067 pid=3068 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="gnome-power-man" exe="/usr/bin/gnome-power-manager" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)
Comment 1 Rodd Clarkson 2008-10-03 20:48:33 EDT
Summary:

SELinux is preventing totem from loading /usr/lib/libmpeg2.so.0.1.0 which
requires text relocation.

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

The totem application attempted to load /usr/lib/libmpeg2.so.0.1.0 which
requires text relocation. This is a potential security problem. Most libraries
do not need this permission. Libraries are sometimes coded incorrectly and
request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/libmpeg2.so.0.1.0 to use relocation as a workaround, until the library
is fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust /usr/lib/libmpeg2.so.0.1.0 to run correctly, you can change the
file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/libmpeg2.so.0.1.0'" You must also change the default file context
files on the system in order to preserve them even on a full relabel. "semanage
fcontext -a -t textrel_shlib_t '/usr/lib/libmpeg2.so.0.1.0'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/libmpeg2.so.0.1.0'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/libmpeg2.so.0.1.0 [ file ]
Source                        totem
Source Path                   /usr/bin/totem
Port                          <Unknown>
Host                          moose
Source RPM Packages           totem-2.24.1-1.fc10
Target RPM Packages           libmpeg2-0.5.1-2.fc10
Policy RPM                    selinux-policy-3.5.9-4.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   allow_execmod
Host Name                     moose
Platform                      Linux moose 2.6.27-0.377.rc8.git1.fc10.i686 #1 SMP
                              Wed Oct 1 05:46:19 EDT 2008 i686 i686
Alert Count                   1
First Seen                    Sat 04 Oct 2008 10:28:48 EST
Last Seen                     Sat 04 Oct 2008 10:28:48 EST
Local ID                      45bee307-55bd-4e1c-b603-6a485ee0bb22
Line Numbers                  

Raw Audit Messages            

node=moose type=AVC msg=audit(1223080128.164:28): avc:  denied  { execmod } for  pid=3518 comm="totem" path="/usr/lib/libmpeg2.so.0.1.0" dev=sda11 ino=458337 scontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=moose type=SYSCALL msg=audit(1223080128.164:28): arch=40000003 syscall=125 success=yes exit=0 a0=50ac000 a1=1e000 a2=5 a3=b0ab14d0 items=0 ppid=1 pid=3518 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="totem" exe="/usr/bin/totem" subj=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 key=(null)
Comment 2 Daniel Walsh 2008-10-06 12:37:22 EDT
Did you try the chcon command suggested by setroubleshoot?

Fixed in 
selinux-policy-3.5.10-3.fc10

Note You need to log in before you can comment on or make changes to this bug.